Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.log.management
Interface TraceServiceMBean

public interface TraceServiceMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `tracingEnabled` Tracing enabled.

Method Summary
`void` | `addContextCategory(String identifier, String category)` Adds a category to an existing context trace file.
`void` | `addContextFilter(String identifier, String type, String value)` Adds one of the predefined filter types to the Appender with the identified name.
`void` | `attachAppender(String loggerName, String appenderName)` Adds a named appender to named loggers.
`void` | `attachAppenderInternal(Logger logger, String svcName)` Internal operation that creates a FileAppender that outputs to a file with the same name as the service.
`void` | `createContextTraceFile(String identifier, String category, String threshold)` Creates a context trace file under root trace directory.
`void` | `createRootContextTraceFile(String identifier)` Convenience method to add a context trace file under root trace directory and associate it with the root logger
`void` | `createTraceDir()` Internal method to create the trace directory.
`void` | `flushBuffers()` Flushes log buffests.
`boolean` | `getTracingEnabled()`
`void` | `initialize()` Internal method to create any schema that's required and initialize persisted or default values.
`void` | `removeContextTraceFile(String identifier)` Removed a context trace file.
`void` | `resetContextFilters(String identifier)` Removes all filters associated with a context trace file.
`void` | `rollOver()` Rotates log files.
`void` | `setTracingEnabled(boolean flag)`

Field Detail

### tracingEnabled

    public static final boolean tracingEnabled

  Tracing enabled.

  See Also:
    Constant Field Values

Method Detail

### addContextCategory

    public void addContextCategory(String identifier,
                                   String category)
                            throws ManagementException

  Adds a category to an existing context trace file.

  Parameters:
    `identifier` - Identifier of the context trace file.
    `category` - Log category.
  Throws:
    `ManagementException`

### addContextFilter

    public void addContextFilter(String identifier,
                                 String type,
                                 String value)
                          throws ManagementException

  Adds one of the predefined filter types to the Appender with the identified name.

  Parameters:
    `identifier` - Identifier of the context trace file.
    `type` - One of the defined types: SERVICE_PROVIDER, APPLICATION, APPLICATION_INSTANCE, SESSION, TRANSACTION
    `value` - Value to filter on for this filter type
  Throws:
    `ManagementException`

### attachAppender

    public void attachAppender(String loggerName,
                               String appenderName)

  Adds a named appender to named loggers.

  Parameters:
    `loggerName` - Logger name
    `appenderName` - Appender name

### attachAppenderInternal

    public void attachAppenderInternal(Logger logger,
                                       String svcName)

  Internal operation that creates a FileAppender that outputs to a file with the same name as the service.

  Parameters:
    `logger` - Logger
    `svcName` - Service name

### createContextTraceFile

    public void createContextTraceFile(String identifier,
                                       String category,
                                       String threshold)
                                throws ManagementException

  Creates a context trace file under root trace directory.

  Parameters:
    `identifier` - Identifier to be used to add filters and will also result in a file named \"identifier.log\".
    `category` - Log category.
    `threshold` - Log level threshold. Valid values are OFF, FATAL, ERROR, WARN, INFO, DEBUG, TRACE and ALL.
  Throws:
    `ManagementException`

### createRootContextTraceFile

    public void createRootContextTraceFile(String identifier)
                                    throws ManagementException

  Convenience method to add a context trace file under root trace directory and associate it with the root logger

  Parameters:
    `identifier` - Identifier to be used to add filters and will also result in a file named \"identifier.log\".
  Throws:
    `ManagementException`

### createTraceDir

    public void createTraceDir()

  Internal method to create the trace directory.

### flushBuffers

    public void flushBuffers()

  Flushes log buffests. This method only has effect on FileAppenders or subclasses.

### getTracingEnabled

    public boolean getTracingEnabled()

### initialize

    public void initialize()
                    throws ManagementException

  Internal method to create any schema that's required and initialize persisted or default values.

  Throws:
    `ManagementException`

### removeContextTraceFile

    public void removeContextTraceFile(String identifier)
                                throws ManagementException

  Removed a context trace file.

  Parameters:
    `identifier` - Identifier of the context trace file.
  Throws:
    `ManagementException`

### resetContextFilters

    public void resetContextFilters(String identifier)
                             throws ManagementException

  Removes all filters associated with a context trace file.

  Parameters:
    `identifier` - Identifier of the context trace file.
  Throws:
    `ManagementException`

### rollOver

    public void rollOver()

  Rotates log files. This will invoke the rollOver() method on all registered RollingFileAppender's.

### setTracingEnabled

    public void setTracingEnabled(boolean flag)
                           throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD